package commands;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import spring.Context;

import dao.*;

public class TurmaAlocarProfessor extends AbstractCommand {

	private TurmaDAO turmaDAO = DAOFactory.getInstance().getTurmaDAO();

	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, Context context) {

		String msg = null;
		String idProfessorString = request.getParameter("idProfessor");
		String idTurmaString = request.getParameter("idTurma");
		if ("".equals(idProfessorString)) {
			msg = "Professor deve ser selecionado.";
		} else if ("".equals(idTurmaString)) {
			msg = "Turma deve ser selecionada.";
		} else {
			long idProfessor = Long.parseLong(idProfessorString);
			long idTurma = Long.parseLong(idTurmaString);

			System.out.println("vai alocar");
			turmaDAO.alocarProfessor(idTurma, idProfessor);
			msg = "Alocação efetuada com sucesso!";
		}
		request.setAttribute("mensagem", msg);
		RequestDispatcher rd = request.getRequestDispatcher("Command?comando=TurmaPrepararListaAlocacaoProfessor");
		try {
			rd.forward(request, response);
		} catch (IOException e) {
			e.printStackTrace();
		} catch (ServletException e) {
			// TODO Bloco catch gerado automaticamente
			e.printStackTrace();
		}
	}

}
